import type { Plugin } from '@custom-elements-manifest/analyzer';
type PluginOptions = {
    /**
     * Provide a function that loads the readme for a given module path.
     */
    loadReadme(componentPath?: string): string;
};
/**
 * A plugin for `@custom-elements-manifest/analyzer` that can be used to provide an additional `readme` property
 * to a module's documentation. This is useful if you want to load the contents from a components README.md file.
 */
export declare function customElementInlineReadmePlugin({ loadReadme }: PluginOptions): Plugin;
export {};
